FreeHandParserInternal::FillStyle Struct Reference

small structure of FreeHandParserInternal used to stored a fill style More...

## Public Member Functions

| FillStyle ()
| constructor

## Public Attributes

MWAWGraphicStyle::Gradient::Type | m_type
| the gradient type
int | m_colorId [2]
| the color id
MWAWGraphicStyle::Pattern | m_pattern
| the pattern
float | m_angle
| the angle
bool | m_logarithm
| flag to know if a flag has logarithmic scale

## Detailed Description

small structure of FreeHandParserInternal used to stored a fill style

## Constructor & Destructor Documentation

## FillStyle()

FreeHandParserInternal::FillStyle::FillStyle | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_angle

float FreeHandParserInternal::FillStyle::m_angle

the angle

Referenced by FillStyle(), FreeHandParser::readFillStyle(), and FreeHandParserInternal::State::updateFillStyle().

## m_colorId

int FreeHandParserInternal::FillStyle::m_colorId[2]

the color id

Referenced by FillStyle(), FreeHandParser::readFillStyle(), and FreeHandParserInternal::State::updateFillStyle().

## m_logarithm

bool FreeHandParserInternal::FillStyle::m_logarithm

flag to know if a flag has logarithmic scale

Referenced by FillStyle(), and FreeHandParser::readFillStyle().

## m_pattern

MWAWGraphicStyle::Pattern FreeHandParserInternal::FillStyle::m_pattern

the pattern

Referenced by FillStyle(), FreeHandParser::readFillStyle(), and FreeHandParserInternal::State::updateFillStyle().

## m_type

MWAWGraphicStyle::Gradient::Type FreeHandParserInternal::FillStyle::m_type

the gradient type

Referenced by FillStyle(), FreeHandParser::readFillStyle(), and FreeHandParserInternal::State::updateFillStyle().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx